Delete a private location

Base URL
https://{kibana_url}
  • DELETE /api/synthetics/private_locations/{id}
  • DELETE /s/{space_id}/api/synthetics/private_locations/{id}
Auth

You must have all privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.

A location cannot be deleted if it has associated monitors in use in any space. You must delete all monitors associated with the location before deleting the location.

Required authorization

Privileges uptime-read and private-location-write and uptime-write

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string · min length: 1 · max length: 1024 required

The unique identifier of the private location to delete.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Responses

200

OK.

400

The private location does not exist, or it is used by one or more monitors in any space.

Base URL
https://{kibana_url}